/*
 *
 *   MPAction - a superclass for the other actions. 
 *   it helps you to develop java and c programs in the simpliest way possible
 *   providing the minimum set of functions needed and the shortest way to get them
 *   (like a big, clear and coloured button, a menu item and a keybord shortcut).
 *   It acts as a frontend for javac and gcc.
 *
 *   Require JDK 1.2
 *           
 *   Copyright (C) 1999  Andrea Gini
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@lib.disco.unimib.it
 *
 */

import javax.swing.*;

public abstract class MPAbstractAction extends AbstractAction
{
public static final String NEW = "New";
public static final String OPEN = "Open...";
public static final String SAVE = "Save";  
public static final String SAVE_AS = "Save As...";
public static final String EXIT = "Exit";

public static final String CUT = "Cut";
public static final String COPY = "Copy";
public static final String PASTE = "Paste";

public static final String SHOW = "Show Output";
public static final String HIDE = "Hide Output";
public static final String CLEAR = "Clear Output";

public static final String COMPILE = "Compile...";
public static final String RUN = "Run...";
public static final String STOP = "Stop..."; 

public MPAbstractAction(String actionName)
{
  super(actionName);
  String iconName =getIconName(actionName);
  if(iconName!=null)
  {
    ImageIcon icon = new ImageIcon(iconName);
    putValue(Action.SMALL_ICON, icon);
  }
}
/**
 * restituisce il nome del file che contiene
 * l'icona per una data action, o null se tale icona non esiste.
 * La mappatura viene realizzata usando il metodo della forza bruta,
 * ma e' passibile di ogni sorta di miglioramento (es. lettura da
 * file e memorizzazione in una hashtable.
 */
public static String getIconName(String s)
{
  if(s==NEW)
    return "new.gif";
  else if(s==OPEN)
    return "open.gif";
  else if(s==SAVE) 
    return "save.gif";
  else if(s==SAVE_AS)
    return "saveas.gif";
  else if(s==EXIT)
    return "exit.gif";
  else if(s==CUT)
    return "cut.gif";
  else if(s==COPY)
    return "copy.gif";
  else if(s==PASTE)
    return "paste.gif";
  else if(s==SHOW)
    return "show.gif";
  else if(s==HIDE)
    return "hide.gif";
  else if(s==CLEAR)
    return "clear.gif";
  else if(s==COMPILE)
    return "compile.gif";
  else if(s==RUN)
    return "run.gif";
  else if(s==STOP)
    return "stop.gif";
  else
    return null;
}
}