/*
 *
 *   MPDocument - a default document for MiniPad 
 *   it helps you to develop java and c programs in the simpliest way possible
 *   providing the minimum set of functions needed and the shortest way to get them
 *   (like a big, clear and coloured button, a menu item and a keybord shortcut).
 *   It acts as a frontend for javac and gcc.
 *
 *   Require JDK 1.2
 *           
 *   Copyright (C) 1999  Andrea Gini
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@lib.disco.unimib.it
 *
 */
import java.io.*;
import javax.swing.text.*;

public class MPDocument extends PlainDocument
{
  private File _file;
  
  public MPDocument()
  {
    super();
  }
  public MPDocument(File file)
  {
    this();
    setFile(file);
  }  
  /**
     Restituisce il file associato a questo sorgente
   */
  public File getFile()
  {
    return _file;
  }
    
    /**
       setta il file associato a questo sorgente
     */
  public void setFile(File f)
  {
    _file = f;
  }
    
  /**
     restituisce il nome del file senza l'estensione
   */
    public String getDocumentName()
    {
      if(_file==null)
        return null;
      else
      {
        // crea un nome privo di estensione
        String name = _file.getName();
        int i = name.lastIndexOf('.');

        if(i!=-1)
          return name.substring(0,i);
        else
          return name;
      }
    }
    
    /**
       Restituisce il nome del file completo di estensione.
       @roseuid 38A17B050384
     */
    public String getSourceName()
    {
      if(_file==null)
        return null;
      else
        return _file.getName();
    }
    
    /**
       @roseuid 38BE9F1802A8
     */
    public void insertString() {
    }
    
    /**
       @roseuid 38BE9F180384
     */
    public void remove() {
    }
}
